local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____render = require("functions.render")
local renderTextOnEntity = ____render.renderTextOnEntity
local ____Feature = require("classes.private.Feature")
local Feature = ____Feature.Feature
local ____utils = require("classes.features.other.debugDisplay.utils")
local defaultEntityDisplayCallback = ____utils.defaultEntityDisplayCallback
____exports.DebugDisplayFamiliar = __TS__Class()
local DebugDisplayFamiliar = ____exports.DebugDisplayFamiliar
DebugDisplayFamiliar.name = "DebugDisplayFamiliar"
__TS__ClassExtends(DebugDisplayFamiliar, Feature)
function DebugDisplayFamiliar.prototype.____constructor(self)
    Feature.prototype.____constructor(self)
    self.textCallback = defaultEntityDisplayCallback
    self.postFamiliarRender = function(____, familiar)
        local text = self:textCallback(familiar)
        renderTextOnEntity(nil, familiar, text)
    end
    self.callbacksUsed = {{ModCallback.POST_FAMILIAR_RENDER, self.postFamiliarRender}}
end
return ____exports
